<!DOCTYPE html>
<html>
  <head>
    <title><%= full_title(yield(:title)) %></title>
    <%= stylesheet_link_tag "application", media: "all",
                                           "data-turbolinks-track" => true %>
    <%= javascript_include_tag "application", "data-turbolinks-track" => true %>
    <%= csrf_meta_tags %>
    <%= render 'layouts/shim' %>
  </head>
  <body>

    <%= render 'layouts/header' %>
    <div id="alert_message_div">
       <%= render "shared/alert_message" %>
    </div>

    <div class="container">

      <div> <%= yield %> </div>
      <%= render 'layouts/footer' %>
      <%#= debug(params) if Rails.env.development? %>
    </div>

  <% if signed_in? %>
    <%= render "/shared/node_modal" %>
    <%= render "/shared/relation_modal" %>
    <%= render "/shared/header_profile_modal" %>
  <% end %>
  </body>
</html>